traits.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::tree_traits< Key, Mapped, Cmp_Fn, Node_Update, splay_tree_tag, _Alloc >
struct | __gnu_pbds::detail::tree_traits< Key, null_type, Cmp_Fn, Node_Update, splay_tree_tag, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Detailed Description

Contains an implementation for splay_tree_.

Definition in file splay_tree_/traits.hpp.